using System;

namespace Syntriax.Modules.State
{
    public interface IStateEnable
    {
        /// <summary>
        /// Called everytime the <see cref="IsEnabled"/>> field is changed
        /// </summary>
        /// <value>The new value of <see cref="IsEnabled"/>></value>
        Action<bool> OnEnabledChanged { get; set; }

        bool IsEnabled { get; set; }
    }
}
